Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.goca
Class GraphicsSetMix

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
              org.apache.fop.afp.goca.GraphicsSetMix

All Implemented Interfaces:
  Streamable, StructuredData

    public class GraphicsSetMix

extends AbstractGraphicsDrawingOrder

Sets the foreground mix mode.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`static byte` | `MODE_DEFAULT` default mode
`static byte` | `MODE_OVERPAINT` overpaint mode

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`GraphicsSetMix(byte mode)` Main constructor

Method Summary
`int` | `getDataLength()` Returns the data length of this structured field
`java.lang.String` | `toString()`
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
`getName`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODE_DEFAULT

    public static final byte MODE_DEFAULT

  default mode

  See Also:
    Constant Field Values

### MODE_OVERPAINT

    public static final byte MODE_OVERPAINT

  overpaint mode

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsSetMix

    public GraphicsSetMix(byte mode)

  Main constructor

  Parameters:
    `mode` - the mix mode value

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDataLength

    public int getDataLength()

  Returns the data length of this structured field

  Returns:
    the data length of this structured field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.